﻿using Hotline.Share.Dtos.Order;
using SqlSugar;

namespace Hotline.Orders
{
    public interface IComplementOrderService
    {
        /// <summary>
        /// 补充列表查询
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<OrderComplement> GetOrderComplementList(ComplementOrderRequestDto dto);

        /// <summary>
        /// 补充操作记录列表查询
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        ISugarQueryable<OrderComplementCopy> GetOrderComplementCopyList(ComplementOrderCopyRequestDto dto);
    }
}
