﻿using Hotline.Share.Enums.Order;

namespace Hotline.Share.Dtos.DataSharing.PusherHotlineDto;

public class ProvinceOrderVisitDto
{
    /// <summary>
    /// 工单编号
    /// </summary>
    public string ProvinceNo { get; set; }

    /// <summary>
    /// 回访时间
    /// </summary>
    public DateTime? VisitTime { get; set; }

    /// <summary>
    /// 回访方式
    /// </summary>
    public EVisitType? VisitType { get; set; }

    /// <summary>
    /// 回访内容
    /// </summary>
    public string? VisitContent { get; set; }

    /// <summary>
    /// 满意度
    /// </summary>
    public string? OrgProcessingResults { get; set; }

}